Kerbal Space Program - Bug #21529

Landing gear or rover wheels symmetry ruined when loading craft with external command seat
03/09/2019 04:22 PM - rclearf

Status: Updated Start date: 03/09/2019
Severity: Low % Done: 10%
Assignee:

Category: Bug Tracker

Target version:

Version: 1.6.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

Bug occurs when loading a save game with a craft containing landing gear or rover wheels and external command seats. The
external command seats may need to be occupied. The external command seats may need to be located inside a cargo bay. After
loading the save game the landing gear and rover wheels position of attachment and/or angle of attachment will have changed into
unsymmetrical positions close to their original position but not the same.

History

#1 - 03/09/2019 04:25 PM - rclearf

Have experienced bug upwards of twenty times. Occasionally when bug occurs | am also unable to leave the space center, VAB, mission control, or
other buildings after entering. The persistent save is now bugged and reloading it will not fix the issue. The issue can be fixed by loading a previous
save.

#2 - 03/09/2019 04:30 PM - rclearf

Bug does not seem to ever occur when external command seats are not present. Bug occurs regardless of whether external command seats are
clipped into other parts edges or not. It is possible the bug only occurs when external command seats are located inside a cargo bay as | have only
observed it to happen for ships with an external command seat within a cargo bay. | have not tested if bug also occurs when external command seat
is located outside of a cargo bay.

#3 - 06/03/2020 03:39 PM - Robert.Keech
- Status changed from New to Updated
- % Done changed from 0 to 10

| just checked this in 1.9.1.2788 and can not see this occurring anymore, could you please retest this in the latest release report back if it is still
happening or not
